Package org.eclipse.swt.events

# Interface TreeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `TreeAdapter`

public interface TreeListener extends EventListener
Classes which implement this interface provide methods that deal with the expanding and collapsing of tree branches.

After creating an instance of a class that implements this interface it can be added to a tree control using the `addTreeListener` method and removed using the `removeTreeListener` method. When a branch of the tree is expanded or collapsed, the appropriate method will be invoked.

See Also:
  - `TreeAdapter`
  - `TreeEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`treeCollapsed(TreeEvent e)`
Sent when a tree branch is collapsed.
`static TreeListener`
`treeCollapsedAdapter(Consumer<TreeEvent> c)`
Static helper method to create a `TreeListener` for the `treeCollapsed(TreeEvent e)`) method, given a lambda expression or a method reference.
`void`
`treeExpanded(TreeEvent e)`
Sent when a tree branch is expanded.
`static TreeListener`
`treeExpandedAdapter(Consumer<TreeEvent> c)`
Static helper method to create a `TreeListener` for the `treeExpanded(TreeEvent e)`) method, given a lambda expression or a method reference.

## Method Details

### treeCollapsed

void treeCollapsed(TreeEvent e)
Sent when a tree branch is collapsed.

Parameters:
  `e` - an event containing information about the tree operation

### treeExpanded

void treeExpanded(TreeEvent e)
Sent when a tree branch is expanded.

Parameters:
  `e` - an event containing information about the tree operation

### treeCollapsedAdapter

static TreeListener treeCollapsedAdapter(Consumer<TreeEvent> c)
Static helper method to create a `TreeListener` for the `treeCollapsed(TreeEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  TreeListener
Since:
  3.107

### treeExpandedAdapter

static TreeListener treeExpandedAdapter(Consumer<TreeEvent> c)
Static helper method to create a `TreeListener` for the `treeExpanded(TreeEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  TreeListener
Since:
  3.107